org.h2.test.synth

## Class TestCrashAPI

- java.lang.Object
- - org.h2.test.TestBase
  - - org.h2.test.synth.TestCrashAPI

All Implemented Interfaces:
  java.lang.Runnable

    public class TestCrashAPI
    extends TestBase
    implements java.lang.Runnable

A test that calls random methods with random parameters from JDBC objects. This is sometimes called 'Fuzz Testing'.

### Field Summary

### Fields inherited from class org.h2.test.TestBase

`BASE_TEST_DIR, config, start, uniqueId`

### Constructor Summary

Constructors
Constructor and Description
`TestCrashAPI()`

### Method Summary

Methods
`TestBase` `init(TestAll conf)` Initialize the test configuration.
`static void` `main(java.lang.String... a)` Run just this test.
`void` `run()`
`void` `test()` This method will be called by the test framework.
`void` `testCase(int seed)` Run a test case using the given seed value.

### Methods inherited from class org.h2.test.TestBase

`assertContains, assertEqualDatabases, assertEqualReaders, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEqualStreams, assertFalse, assertFalse, assertKnownException, assertKnownException, assertNull, assertResult, assertResultRowCount, assertResultSetMeta, assertResultSetOrdered, assertSingleValue, assertSmaller, assertStartsWith, assertThrows, assertThrows, assertThrows, assertThrows, assertTrue, assertTrue, crash, createCaller, createClassProxy, createFailingStream, deleteDb, deleteDb, eatMemory, fail, fail, freeMemory, getBaseDir, getClassPath, getConnection, getConnection, getFilePassword, getMemoryUsed, getMemoryUsedBytes, getPassword, getPassword, getSize, getTestDir, getTestName, getURL, getUser, init, logError, println, printTime, printTimeMemory, readString, runTest, startServerIfRequired, throwException, trace, trace, traceMemory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestCrashAPI

    public TestCrashAPI()

### Method Detail

#### main

    public static void main(java.lang.String... a)
                     throws java.lang.Exception

Run just this test.

Parameters:
  `a` - ignored
Throws:
  `java.lang.Exception`

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### test

    public void test()
              throws java.lang.Exception

Description copied from class: `TestBase`
This method will be called by the test framework.

Specified by:
  `test` in class `TestBase`
Throws:
  `java.lang.Exception` - if an exception in the test occurs

#### testCase

    public void testCase(int seed)
                  throws java.sql.SQLException

Description copied from class: `TestBase`
Run a test case using the given seed value.

Overrides:
  `testCase` in class `TestBase`
Parameters:
  `seed` - the random seed value
Throws:
  `java.sql.SQLException`

#### init

    public TestBase init(TestAll conf)
                  throws java.lang.Exception

Description copied from class: `TestBase`
Initialize the test configuration.

Overrides:
  `init` in class `TestBase`
Parameters:
  `conf` - the configuration
Returns:
  itself
Throws:
  `java.lang.Exception`